<!DOCTYPE html>
<html>
	<head>
		<title>WiFi Connect</title>
		<meta name="viewport" content="width=device-width, initial-scale=1">

		<!-- Latest compiled and minified CSS -->
		<link rel="stylesheet" href="css/bootstrap.min.css">

		<!-- jQuery library -->
		<script src="js/jquery.min.js"></script>

		<!-- Latest compiled JavaScript -->
		<script src="js/bootstrap.min.js"></script>

		<script src="/js/index.js"></script>
		<link rel="shortcut icon" href="/img/next14.png">

		<style>
			body {
				padding-top: 80px;
			}

			#logo {
				margin-top: -4px;
			}

			button {
				margin-top: 7px;
			}
		</style>
	</head>

	<body>
		<nav class="navbar navbar-inverse navbar-fixed-top">
			<div class="container">
				<div class="navbar-header">
					<a class="navbar-brand"><img id="logo" height=30 src="/img/next14.png"></img></a>
				</div>
			</div>
		</nav>

		<div class="container">
			<div class="row before-submit">
				<div class="col-lg-8 col-lg-offset-2">
					<h3>Ciao! Accedi alla tua rete WiFi</h3>
				</div>
			</div>
			<div class="row before-submit">
				<div class="col-lg-8 col-lg-offset-2">
					<form class="form form-horizontal" id='connect-form' action='/connect' method='post'>
						<div class="form-group">
							<label for="ssid-select" class="control-label col-lg-2">Nome-Wifi</label>
							<div class="col-lg-6">
								<select id='ssid-select' class="form-control" name='ssid'></select>
							</div>
						</div>
						<div class="form-group" id="identity-group">
							<label for="identity" class="control-label col-lg-2">Nome-Wifi</label>
							<div class="col-lg-6">
								<input class="form-control" name="identity"></input>
							</div>
						</div>
						<div class="form-group">
							<label for="passphrase" class="control-label col-lg-2">Password-Wifi</label>
							<div class="col-lg-6">
								<input type='password' class="form-control" name='passphrase'></input>
							</div>
						</div>
						<div class="form-group">
							<div class="col-lg-6 col-lg-offset-2">
								<button type='submit' class='btn btn-success'>Connessione Up</button>
							</div>
						</div>
					</form>
				</div>
			</div>
			<div class="row hidden" id='submit-message'>
				<div class="col-lg-8 col-lg-offset-2">
					<h3>Applying changes...</h3>
					<p>Your device will soon be online. If connection is unsuccessful, the Access Point will be back up in a few minutes, and reloading this page will allow you to try again. Next Next Next</p>
				</div>
			</div>
			<div class="row hidden" id='no-networks-message'>
				<div class="col-lg-8 col-lg-offset-2">
					<h3>No wifi networks available</h3>
					<p>Please ensure there is a network within range and reboot the device.</p>
				</div>
			</div>
		</div>
	</body>
</html>
